### Method

# Vips Image draw_smudge

#### Declaration [src]

    int
    vips_draw_smudge (
      VipsImage* image,
      int left,
      int top,
      int width,
      int height,
      ...
    )

#### Description [src]

Smudge a section of `image`. Each pixel in the area `left`, `top`, `width`, `height` is replaced by the average of the surrounding 3x3 pixels.

See also

`vips_draw_line()`.

This method is not directly available to language bindings.

#### Parameters

`left`

  Type: `int`

  Point to paint.

`top`

  Type: `int`

  Point to paint.

`width`

  Type: `int`

  Area to paint.

`height`

  Type: `int`

  Area to paint.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, or -1 on error.